Mercurial > emacs
comparison configure @ 80982:3b8b04d20e39
* configure.in (AC_CHECK_HEADERS) Add gpm.h.
(AC_CHECK_LIB): Add -lgpm.
* configure: Regenerate.
author | Nick Roberts <nickrob@snap.net.nz> |
---|---|
date | Sun, 20 May 2007 02:35:48 +0000 |
parents | fb266235bcb8 |
children | 30ac55694a48 |
comparison
equal
deleted
inserted
replaced
80981:f454fb9563fd | 80982:3b8b04d20e39 |
---|---|
719 C_SWITCH_X_SITE | 719 C_SWITCH_X_SITE |
720 X_TOOLKIT_TYPE | 720 X_TOOLKIT_TYPE |
721 machfile | 721 machfile |
722 opsysfile | 722 opsysfile |
723 carbon_appdir | 723 carbon_appdir |
724 LIBGPM | |
724 LTLIBOBJS' | 725 LTLIBOBJS' |
725 ac_subst_files='' | 726 ac_subst_files='' |
726 ac_precious_vars='build_alias | 727 ac_precious_vars='build_alias |
727 host_alias | 728 host_alias |
728 target_alias | 729 target_alias |
6520 | 6521 |
6521 | 6522 |
6522 | 6523 |
6523 | 6524 |
6524 | 6525 |
6526 | |
6525 for ac_header in sys/select.h sys/timeb.h sys/time.h unistd.h utime.h \ | 6527 for ac_header in sys/select.h sys/timeb.h sys/time.h unistd.h utime.h \ |
6526 linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \ | 6528 linux/version.h sys/systeminfo.h termios.h limits.h string.h stdlib.h \ |
6527 termcap.h stdio_ext.h fcntl.h strings.h coff.h pty.h sys/mman.h \ | 6529 termcap.h stdio_ext.h fcntl.h strings.h coff.h pty.h sys/mman.h \ |
6528 sys/param.h sys/vlimit.h sys/resource.h locale.h sys/_mbstate_t.h \ | 6530 sys/param.h sys/vlimit.h sys/resource.h locale.h sys/_mbstate_t.h \ |
6529 sys/utsname.h pwd.h | 6531 sys/utsname.h pwd.h gpm.h |
6530 do | 6532 do |
6531 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` | 6533 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` |
6532 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then | 6534 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then |
6533 { echo "$as_me:$LINENO: checking for $ac_header" >&5 | 6535 { echo "$as_me:$LINENO: checking for $ac_header" >&5 |
6534 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } | 6536 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; } |
17905 /* confdefs.h. */ | 17907 /* confdefs.h. */ |
17906 _ACEOF | 17908 _ACEOF |
17907 cat confdefs.h >>conftest.$ac_ext | 17909 cat confdefs.h >>conftest.$ac_ext |
17908 cat >>conftest.$ac_ext <<_ACEOF | 17910 cat >>conftest.$ac_ext <<_ACEOF |
17909 /* end confdefs.h. */ | 17911 /* end confdefs.h. */ |
17910 #include <stdio.h> | 17912 #include <sys/types.h> /* for off_t */ |
17913 #include <stdio.h> | |
17911 int | 17914 int |
17912 main () | 17915 main () |
17913 { | 17916 { |
17914 return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0); | 17917 int (*fp) (FILE *, off_t, int) = fseeko; |
17918 return fseeko (stdin, 0, 0) && fp (stdin, 0, 0); | |
17915 ; | 17919 ; |
17916 return 0; | 17920 return 0; |
17917 } | 17921 } |
17918 _ACEOF | 17922 _ACEOF |
17919 rm -f conftest.$ac_objext conftest$ac_exeext | 17923 rm -f conftest.$ac_objext conftest$ac_exeext |
17949 _ACEOF | 17953 _ACEOF |
17950 cat confdefs.h >>conftest.$ac_ext | 17954 cat confdefs.h >>conftest.$ac_ext |
17951 cat >>conftest.$ac_ext <<_ACEOF | 17955 cat >>conftest.$ac_ext <<_ACEOF |
17952 /* end confdefs.h. */ | 17956 /* end confdefs.h. */ |
17953 #define _LARGEFILE_SOURCE 1 | 17957 #define _LARGEFILE_SOURCE 1 |
17954 #include <stdio.h> | 17958 #include <sys/types.h> /* for off_t */ |
17959 #include <stdio.h> | |
17955 int | 17960 int |
17956 main () | 17961 main () |
17957 { | 17962 { |
17958 return fseeko (stdin, 0, 0) && (fseeko) (stdin, 0, 0); | 17963 int (*fp) (FILE *, off_t, int) = fseeko; |
17964 return fseeko (stdin, 0, 0) && fp (stdin, 0, 0); | |
17959 ; | 17965 ; |
17960 return 0; | 17966 return 0; |
17961 } | 17967 } |
17962 _ACEOF | 17968 _ACEOF |
17963 rm -f conftest.$ac_objext conftest$ac_exeext | 17969 rm -f conftest.$ac_objext conftest$ac_exeext |
23062 cat >>confdefs.h <<\_ACEOF | 23068 cat >>confdefs.h <<\_ACEOF |
23063 #define REL_ALLOC 1 | 23069 #define REL_ALLOC 1 |
23064 _ACEOF | 23070 _ACEOF |
23065 | 23071 |
23066 fi | 23072 fi |
23073 | |
23074 { echo "$as_me:$LINENO: checking for Gpm_Open in -lgpm" >&5 | |
23075 echo $ECHO_N "checking for Gpm_Open in -lgpm... $ECHO_C" >&6; } | |
23076 if test "${ac_cv_lib_gpm_Gpm_Open+set}" = set; then | |
23077 echo $ECHO_N "(cached) $ECHO_C" >&6 | |
23078 else | |
23079 ac_check_lib_save_LIBS=$LIBS | |
23080 LIBS="-lgpm $LIBS" | |
23081 cat >conftest.$ac_ext <<_ACEOF | |
23082 /* confdefs.h. */ | |
23083 _ACEOF | |
23084 cat confdefs.h >>conftest.$ac_ext | |
23085 cat >>conftest.$ac_ext <<_ACEOF | |
23086 /* end confdefs.h. */ | |
23087 | |
23088 /* Override any GCC internal prototype to avoid an error. | |
23089 Use char because int might match the return type of a GCC | |
23090 builtin and then its argument prototype would still apply. */ | |
23091 #ifdef __cplusplus | |
23092 extern "C" | |
23093 #endif | |
23094 char Gpm_Open (); | |
23095 int | |
23096 main () | |
23097 { | |
23098 return Gpm_Open (); | |
23099 ; | |
23100 return 0; | |
23101 } | |
23102 _ACEOF | |
23103 rm -f conftest.$ac_objext conftest$ac_exeext | |
23104 if { (ac_try="$ac_link" | |
23105 case "(($ac_try" in | |
23106 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;; | |
23107 *) ac_try_echo=$ac_try;; | |
23108 esac | |
23109 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5 | |
23110 (eval "$ac_link") 2>conftest.er1 | |
23111 ac_status=$? | |
23112 grep -v '^ *+' conftest.er1 >conftest.err | |
23113 rm -f conftest.er1 | |
23114 cat conftest.err >&5 | |
23115 echo "$as_me:$LINENO: \$? = $ac_status" >&5 | |
23116 (exit $ac_status); } && { | |
23117 test -z "$ac_c_werror_flag" || | |
23118 test ! -s conftest.err | |
23119 } && test -s conftest$ac_exeext && | |
23120 $as_test_x conftest$ac_exeext; then | |
23121 ac_cv_lib_gpm_Gpm_Open=yes | |
23122 else | |
23123 echo "$as_me: failed program was:" >&5 | |
23124 sed 's/^/| /' conftest.$ac_ext >&5 | |
23125 | |
23126 ac_cv_lib_gpm_Gpm_Open=no | |
23127 fi | |
23128 | |
23129 rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \ | |
23130 conftest$ac_exeext conftest.$ac_ext | |
23131 LIBS=$ac_check_lib_save_LIBS | |
23132 fi | |
23133 { echo "$as_me:$LINENO: result: $ac_cv_lib_gpm_Gpm_Open" >&5 | |
23134 echo "${ECHO_T}$ac_cv_lib_gpm_Gpm_Open" >&6; } | |
23135 if test $ac_cv_lib_gpm_Gpm_Open = yes; then | |
23136 LIBGPM=-lgpm | |
23137 fi | |
23138 | |
23139 | |
23067 | 23140 |
23068 | 23141 |
23069 | 23142 |
23070 | 23143 |
23071 | 23144 |
23939 C_SWITCH_X_SITE!$C_SWITCH_X_SITE$ac_delim | 24012 C_SWITCH_X_SITE!$C_SWITCH_X_SITE$ac_delim |
23940 X_TOOLKIT_TYPE!$X_TOOLKIT_TYPE$ac_delim | 24013 X_TOOLKIT_TYPE!$X_TOOLKIT_TYPE$ac_delim |
23941 machfile!$machfile$ac_delim | 24014 machfile!$machfile$ac_delim |
23942 opsysfile!$opsysfile$ac_delim | 24015 opsysfile!$opsysfile$ac_delim |
23943 carbon_appdir!$carbon_appdir$ac_delim | 24016 carbon_appdir!$carbon_appdir$ac_delim |
24017 LIBGPM!$LIBGPM$ac_delim | |
23944 LTLIBOBJS!$LTLIBOBJS$ac_delim | 24018 LTLIBOBJS!$LTLIBOBJS$ac_delim |
23945 _ACEOF | 24019 _ACEOF |
23946 | 24020 |
23947 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 8; then | 24021 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 9; then |
23948 break | 24022 break |
23949 elif $ac_last_try; then | 24023 elif $ac_last_try; then |
23950 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 | 24024 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5 |
23951 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} | 24025 echo "$as_me: error: could not make $CONFIG_STATUS" >&2;} |
23952 { (exit 1); exit 1; }; } | 24026 { (exit 1); exit 1; }; } |